.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH COMPCTL 1 "March 16, 2012"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
compctl \- Computations under control
.SH SYNOPSIS
.B compctl
.RI --run " COMMAND... "
.br
.B compctl
.RI --screen " COMMAND... "
.PP
.B compctl
.RI --usage
.br
.B compctl
.RI --limitmem " MAXMEM "
.br
.B compctl
.RI --list
.br
.B compctl
.RI --kill " PGRP "
.br
.B compctl
.RI --killall
.br
.SH DESCRIPTION
\fBComputations under control\fP will run a specificed program as
a non-interactive computation process, allowing it to be listed
and regulated by the user of the computer.
.PP
Run \fBcompctl\fP without any parameters of with the \fI--help\fP
option to obtain description of the available options.
.SH SEE ALSO
.BR nice (1).
.SH EXAMPLES
compctl --run ./satsolver data.sat | tee results.txt
.br
compctl --screen autotest-screen 5
.br
.br
compctl --limitmem 4096
.br
compctl --kill 27134
.br
.SH FILES
If \fB/etc/compctl-unlimited\fP exists, compctl acts as a simple
serverless agent that allows launching computations (with priority
reduced as usual), but not limiting their memory usage or killing them.
.SH AUTHOR
\fBcompctl\fP was written by Petr Baudis <pasky@ucw.cz>.
